%define cvs_date 20070917
%undefine cvs_date
%define snapshot 2009-12-02
%def_disable static

# Note that this is NOT a relocatable package
Name: edje
Version: 0.9.93.063
%ifdef cvs_date
Release: alt0.M51.1.%cvs_date
%else
Release: alt0.M51.1
%endif

Summary: Complex Graphical Design/Layout Engine
License: BSD
Group: Graphical desktop/Enlightenment
URL: http://www.enlightenment.org

Source: http://download.enlightenment.org/snapshots/%snapshot/%name-%version.tar.bz2

%{?_enable_static:BuildPreReq: glibc-devel-static}

BuildPreReq: libecore-devel >= 0.9.9.063
BuildPreReq: libembryo-devel >= 0.9.9.063
BuildPreReq: libevas-devel >= 0.9.9.063
BuildPreReq: libeet-devel >= 1.2.3
BuildRequires: libeina-devel liblua5-devel

%description
Edje purpose is to be a sequel to "Ebits" which to date has serviced the
needs of Enlightenment development for version 0.17. The original design
paramteres under which Ebits came about were a lot more restricted than
the resulting use of them, thus Edje was born. A graphical layout and 
animation library for animated resizable, compressed and scalable themes.

%package -n lib%name
Summary: edje library
Group: System/Libraries

%description -n lib%name
Edje purpose is to be a sequel to "Ebits" which to date has serviced the
needs of Enlightenment development for version 0.17. The original design
paramteres under which Ebits came about were a lot more restricted than
the resulting use of them, thus Edje was born. A graphical layout and 
animation library for animated resizable, compressed and scalable themes.

This package contains shared Edje library.

%package -n lib%name-devel
Summary: Edje headers and development libraries
Group: Development/C
Requires: lib%name = %version

%description -n lib%name-devel
Edje purpose is to be a sequel to "Ebits" which to date has serviced the
needs of Enlightenment development for version 0.17. The original design
paramteres under which Ebits came about were a lot more restricted than
the resulting use of them, thus Edje was born. A graphical layout and 
animation library for animated resizable, compressed and scalable themes.

This package contains edje headers and development libraries

%package -n lib%name-devel-static
Summary: Edje static libraries
Group: Development/C
Requires: lib%name-devel = %version

%description -n lib%name-devel-static
Edje purpose is to be a sequel to "Ebits" which to date has serviced the
needs of Enlightenment development for version 0.17. The original design
paramteres under which Ebits came about were a lot more restricted than
the resulting use of them, thus Edje was born. A graphical layout and 
animation library for animated resizable, compressed and scalable themes.

This package contains static libraries

%prep
%ifdef cvs_date
%setup -q -n %name
%else
%setup -q
%endif

%build
%ifdef cvs_date
export NOCONFIGURE="yes"
sh autogen.sh
%endif

%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%files -n %name
%_bindir/*
%_datadir/%name/
%doc AUTHORS COPYING COPYING-PLAIN ChangeLog INSTALL NEWS README

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_pkgconfigdir/edje.pc
%_libdir/*.so

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif


%changelog
* Thu Feb 18 2010 Yuri N. Sedunov <aris@altlinux.org> 0.9.93.063-alt0.M51.1
- build for 5.1 branch

* Mon Jan 04 2010 Yuri N. Sedunov <aris@altlinux.org> 0.9.93.063-alt1
- 0.9.93.063

* Tue Nov 10 2009 Yuri N. Sedunov <aris@altlinux.org> 0.9.92.062-alt1
- new version
- removed obsolete %%post{,un}_ldconfig

* Sat Oct 18 2008 Yuri N. Sedunov <aris@altlinux.org> 0.9.9.050-alt1
- 0.9.9.050

* Mon Sep 17 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.5.0.041-alt1.20070917
- CVS from 20070917.

* Thu Sep 06 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.5.0.041-alt1.20070905
- CVS from 20070905.

* Tue Jul 31 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.5.0.040-alt1.20070731
- CVS from 20070731.
- Minor spec cleanup.
- Stricted BR.

* Wed May 09 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.5.0.038-alt1.20070509
- CVS from 20070509.
- Fix BuildRequires.

* Wed Sep 20 2006 Igor Zubkov <icesik@altlinux.org> 0.5.0.032-alt1.20060920
- 20060910 -> 20060920

* Tue Sep 12 2006 Igor Zubkov <icesik@altlinux.org> 0.5.0.032-alt1.20060910
- update from cvs (0.5.0 20060327 -> 0.5.0.32 20060910)
- buildreq

* Mon Apr 10 2006 Igor Zubkov <icesik@altlinux.ru> 0.5.0-alt0.2_003_20060327
- updated from cvs
- buildreq

* Mon May 30 2005 Denis Klykvin <nikon@altlinux.ru> 0.5.0-alt0.2_003_20050530
- updated from cvs.

* Tue May 24 2005 Denis Klykvin <nikon@altlinux.ru> 0.5.0-alt0.2_003_20050524
- updated from cvs.

* Mon May 16 2005 Denis Klykvin <nikon@altlinux.ru> 0.5.0-alt0.2_003_20050516
- updated from cvs.

* Sat May 14 2005 Denis Klykvin <nikon@altlinux.ru> 0.5.0-alt0.2_003_20050514
- updated from cvs.

* Thu Apr 28 2005 Denis Klykvin <nikon@altlinux.ru> 0.5.0-alt0.2_003_20050428
- updated from cvs.
- minor spec fixes.

* Mon Apr 25 2005 Denis Klykvin <nikon@altlinux.ru> 0.5.0-alt0.2_003_20050425
- updated from cvs.

* Thu Apr 21 2005 Denis Klykvin <nikon@altlinux.ru> 0.5.0-alt0.2_003_20050421
- updated from cvs

* Tue Mar 29 2005 Alex Murygin <murygin@altlinux.ru> 0.5.0-alt0.2_003_20050329
- updated from cvs.

* Sat Jan 22 2005 Alex Murygin <murygin@altlinux.ru> 0.5.0-alt0.1_20050122
- updated from cvs.

* Tue Dec 28 2004 Alex Murygin <murygin@altlinux.ru> 0.5.0-alt0.1_20041228
- updated from cvs.

* Fri Dec 17 2004 Alex Murygin <murygin@altlinux.ru> 0.5.0-alt0.1_20041216
- updated from cvs.

* Sun Oct 24 2004 Alex Murygin <murygin@altlinux.ru> 0.5.0-alt0.1_20041022
- First build for Sisyphus.

